Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82589 - [RFE] "show all" option to avoid scrolling through many screens
Summary: [RFE] "show all" option to avoid scrolling through many screens
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Orazi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard: US=18665
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 18:46 UTC by James Laska
Modified: 2013-09-02 05:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-16 15:58:35 UTC


Attachments (Terms of Use)

Description James Laska 2003-01-23 18:46:06 UTC
There is no "show all" option when viewing long lists.

Perhaps adding a drop down box to change the number of entries displayed per
page that defaults to 25 or so.

Show +------+ Entries
     |  10  |
     |  25  |
     |  50  |
     | 100  |
     | All  |
     +------+

it is somewhat annoying to have to scroll through page after page of errata or
packages or systems etc...  The default should remain low however for folks
using a slow connection.  However, the drop-down would provide the option to
display however many more entries per page the user desires.  Perhaps, only show
the drop-down list if the number of entries is larger than the default value.  

This would affect pretty much every list interface on the RHN website, such as:
  network/software/channels/errata.pxt 
  network/software/channels/packages.pxt
  network/software/channels/subscribed_systems.pxt
  network/users/index.pxt
  network/systems/index.pxt
  network/systems/groups/system_list.pxt
  network/systems/groups/target_system_list.pxt
  network/systems/groups/errata_list.pxt
  network/systems/groups/admin_list.pxt

etc...

Comment 2 Amy Owens 2008-10-16 15:58:35 UTC
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.


Note You need to log in before you can comment on or make changes to this bug.